<script setup lang="ts">
import { useArticleStore } from '~/stores/articles';
const { currentArticle } = storeToRefs(useArticleStore());

const props = defineProps<{
    dataId?: string,
}>()

const store = reactive({
    article: useArticleStore()
})

// onBeforeMount(async () => {
//     await store.article.getArticleById(Number(props.dataId))
// })
</script>

<template>
    12
    <!-- {{ currentArticle }} 12 -->
    <!-- <a href="#" :style="style" class="!no-underline !px-2">{{ title }} 1</a> -->
</template>